From b57d7ad24e7bcd662a4afefc79b1ce69e01310ea Mon Sep 17 00:00:00 2001
From: Janne Mareike Koschinski <janne@kuschku.de>
Date: Wed, 8 Jun 2022 02:41:58 +0200
Subject: [PATCH] fix: correct handling of missing files

---
 daemon/entrypoint.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/daemon/entrypoint.sh b/daemon/entrypoint.sh
index 7b50266..c5576f0 100755
--- a/daemon/entrypoint.sh
+++ b/daemon/entrypoint.sh
@@ -1,9 +1,9 @@
 #!/bin/sh
 set -eu
 
-rm /tmp/rtorrent.log
-touch /tmp/rtorrent.log
-rm /tmp/.session/rtorrent.lock /tmp/.session/rtorrent.pid
+mkdir -p /tmp/.session
+echo > /tmp/rtorrent.log
+rm /tmp/.session/rtorrent.lock /tmp/.session/rtorrent.pid || true
 
 # Start rtorrent as a daemon with the setting in the config file
 # & to actually run it in the background
-- 
GitLab